- Qt 6.8
- Qt Help
- C++ Classes
- QHelpIndexWidget
- Qt 6.8.0 Reference Documentation

# QHelpIndexWidget Class

The QHelpIndexWidget class provides a list view displaying the QHelpIndexModel. More...

Header: | #include <QHelpIndexWidget>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Help) target_link_libraries(mytarget PRIVATE Qt6::Help)
qmake: | QT += help
Inherits: | QListView

- List of all members, including inherited members
- Deprecated members

## Public Slots

void | activateCurrentItem()
void | filterIndices(const QString &filter, const QString &wildcard = {})

## Signals

void | documentActivated(const QHelpLink &document, const QString &keyword)
void | documentsActivated(const QList<QHelpLink> &documents, const QString &keyword)

## Detailed Description

## Member Function Documentation

### `[slot]` void QHelpIndexWidget::activateCurrentItem()

Activates the current item which will result eventually in the emitting of a linkActivated() or linksActivated() signal.

### `[signal]` void QHelpIndexWidget::documentActivated(const QHelpLink &document, const QString &keyword)

This signal is emitted when an item is activated and its associated document should be shown. To know where the link belongs to, the keyword is given as a second parameter.

### `[signal]` void QHelpIndexWidget::documentsActivated(const QList<QHelpLink> &documents, const QString &keyword)

This signal is emitted when the item representing the keyword is activated and the item has more than one document associated. The documents consist of the document titles and their URLs.

### `[slot]` void QHelpIndexWidget::filterIndices(const QString &filter, const QString &wildcard = {})

Filters the indices according to filter or wildcard. The item with the best match is set as current item.

See also QHelpIndexModel::filter().